## org.apache.poi.poifs.filesystem
Class OfficeXmlFileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.poi.poifs.filesystem.OfficeXmlFileException

All Implemented Interfaces:
  java.io.Serializable

    public class OfficeXmlFileException

extends java.lang.IllegalArgumentException

This exception is thrown when we try to open a file that's actually an Office 2007+ XML file, rather than an OLE2 file (which is what POI works with)

Author:
  Nick Burch
See Also:
  Serialized Form

Constructor Summary
`OfficeXmlFileException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OfficeXmlFileException

    public OfficeXmlFileException(java.lang.String s)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.